services:
  spliit:
    #image: ghcr.io/spliit-app/spliit:1.19.1
    image: petersmit27/spliit:latest
    restart: always
    ports:
      - 3001:3000
    depends_on:
      - spliit_db
    env_file:
      - .env
    environment:
      TZ: ${TZ}
      POSTGRES_HOST: spliit_db
      POSTGRES_DB: ${SPLIIT_POSTGRES_DB}
      POSTGRES_USER: ${SPLIIT_POSTGRES_USER}
      POSTGRES_PASSWORD: ${SPLIIT_POSTGRES_PASSWORD}
  spliit_db:
    image: postgres:17
    restart: always
    volumes:
      - ${SPLIIT_POSTGRES_DIR}:/var/lib/postgresql/data
    ports:
      - 5437:5432
    environment:
      TZ: ${TZ}
      POSTGRES_DB: ${SPLIIT_POSTGRES_DB}
      POSTGRES_USER: ${SPLIIT_POSTGRES_USER}
      POSTGRES_PASSWORD: ${SPLIIT_POSTGRES_PASSWORD}